From:  phpdev@ehrhardt.nl (Jan Ehrhardt)
Date:  13 Dec 2012 15:10:49 Hong Kong Time
Newsgroup:  news.php.net/php.internals.win
Subject:  

Re: [INTERNALS-WIN] Re: PHP OpenSSL v0.9.8 compatibility issue with OpenSSL v1.0

NNTP-Posting-Host:  null

Pierre Joye in php.internals.win (Thu, 13 Dec 2012 07:43:24 +0100):
>Also winssl has some BC issues vs openssl (ca cert path for example)
>cannot be set.

But OpenSSL 0.9.x has a issue with connecting to a v1.0.1c server, using
Curl. This typically looks like a problem in between parties. PHP relies
on Curl, Daniel Stenberg (Curl, badger on sourceforge) thinks it is a
OpenSSL issue, Paul Donohue thinks Apache has to solve it
, but
nobody ever steps in.

>No, not my choice, that's about BC and compatibility with 3rd parties.
>If we change that now they will have to provide extra binaries for the
>same branches, that's not acceptable and against the ABI/API policy,

Just curious: what 3rd parties are you talking about?

Jan